Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.transform.inlining
Class AspectModelManager

    java.lang.Object
      org.codehaus.aspectwerkz.transform.inlining.AspectModelManager

    public class AspectModelManager

extends Object

Manages the different aspect model implementations that is registered.

Author:
  Jonas Bonr

Field Summary
`static String` | `ASPECT_MODELS_VM_OPTION`

Constructor Summary
`AspectModelManager()`

Method Summary
`static void` | `defineAspect(ClassInfo aspectClassInfo, AspectDefinition aspectDef, ClassLoader loader)` Let all aspect models try to define the aspect (only one will succeed).
`static AspectModel` | `getModelFor(String type)` Returns the advice model for a specific aspect model type id.
`static AspectModel[]` | `getModels()` Returns an array with all the aspect models that has been registered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASPECT_MODELS_VM_OPTION

    public static final String ASPECT_MODELS_VM_OPTION

See Also:
  Constant Field Values

Constructor Detail

### AspectModelManager

    public AspectModelManager()

Method Detail

### getModels

    public static AspectModel[] getModels()

  Returns an array with all the aspect models that has been registered.

  Returns:
    an array with the aspect models

### getModelFor

    public static AspectModel getModelFor(String type)

  Returns the advice model for a specific aspect model type id.

  Parameters:
    `type` - the aspect model type id
  Returns:
    the aspect model

### defineAspect

    public static void defineAspect(ClassInfo aspectClassInfo,
                                    AspectDefinition aspectDef,
                                    ClassLoader loader)

  Let all aspect models try to define the aspect (only one will succeed).

  Parameters:
    `aspectClassInfo` -
    `aspectDef` -
    `loader` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.